%define name grip
%define version 2.94
%define release 4mdk

Summary: Grip, a CD player and ripper/MP3-encoder front-end
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sound
BuildRequires: XFree86-devel
Source0: http://www.nostatic/grip/grip-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Patch0: grip-ogg.patch.bz2
URL: http://www.nostatic.org/grip
Buildroot: %{_tmppath}/%{name}
Requires: oggvorbis cdparanoia

%description
Grip is a gtk-based cd-player and cd-ripper. It has the ripping capabilities
of cdparanoia builtin, but can also use external rippers (such as
cdda2wav). It also provides an automated frontend for MP3 encoders, letting
you take a disc and transform it easily straight into MP3s. The CDDB
protocol is supported for retrieving track information from disc database
servers. Grip works with DigitalDJ to provide a unified "computerized"
version of your music collection.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 
%patch0 -p0 -b .fred

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make gripnopar

%install
mkdir -p $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 grip $RPM_BUILD_ROOT%{_bindir}

install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 grip.1 $RPM_BUILD_ROOT%{_mandir}/man1/ 

#mdk menu entry
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_libdir}/menu
cat > ./%{_libdir}/menu/grip <<EOF
?package(grip):\
command="%{_bindir}/grip"\
icon="grip.xpm"\
title="Grip"\
longtitle="a gtk-based cd-player and cd-ripper"\
needs="x11"\
section="Multimedia/Sound"
EOF
)  

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}

%files
%defattr(-,root,root)
%doc README CHANGES CREDITS LICENSE TODO gripicon.tif
%{_bindir}/*
%{_mandir}/man1/*
%{_menudir}
%{_iconsdir}

%changelog
* Thu Oct 05 2000 Daouda Lo <daouda@mandrakesoft.com> 2.94-4mdk
- provide ln icons.

* Wed Sep  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.94-3mdk
- added oggenc support.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.94-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 2.94-1mdk
- release 2.94 (from helix)
- BM + macroszification

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 2.93-2mdk
- BM + macrozification}

* Sun Apr 09 2000 Daouda Lo	<daouda@mandrakesoft.com> 2.93-1mdk
- release 2.93
* Wed Apr 5 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-5mdk
- merge menu file with spec

* Tue Apr 4 2000 Warly <warly@mandrakesoft.com> 2.92-4mdk
- new icons

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-3mdk
- fix permissions on archive files

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-2mdk
- fix rpmlint warnings
- remove lame from grip rpm !!

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.92-1mdk
- clean specfile
- add menu entry 

* Thu Dec 30 1999 Frederic Lepied <flepied@mandrakesoft.com> 2.9-3mdk
- fix rpmlint reports.

* Wed Dec 15 1999 John Buswell <johnb@mandrakesoft.com>
- Put gcd back in
- Compressed man pages

* Mon Nov 15 1999 John Buswell <johnb@mandrakesoft.com>
- 2.9
- cleaned up spec file
- Build Release

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Mandrake adaptions
- Incorporated lame (mp3 encoder)
- Initial RPM
- Build Release
